using CanteenDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.View
{
    public class ProductViewModel : IProductModel
    {
        [DisplayName("Название продукта")]
        public string ProductName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("ID менеджера")]
        public int ManagerId { get; set; }

        public Dictionary<int, ICookModel> ProductCooks { get; set; } = new();

        public int Id { get; set; }
    }

}
